SDL_Version(3type)

NAME
SDL_Version - Information about the version of SDL in use.

HEADER FILE
Defined in SDL3/SDL_version.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Version
{
    Uint8 major;        /**< major version */
    Uint8 minor;        /**< minor version */
    Uint8 patch;        /**< update version */
} SDL_Version;

DESCRIPTION
Represents the library's version as three levels: major revision (increments with massive changes, additions, and enhancements), minor revision (increments with backwards-compatible changes to the major revision), and patchlevel (increments with fixes to the minor revision).

AVAILABILITY
This struct is available since SDL 3.0.0.

SEE ALSO
SDL_VERSION(3), SDL_GetVersion(3)